Delete a value list item
https://{kibana_url}
- DELETE /api/lists/items
- DELETE /s/{space_id}/api/lists/items
Refer to Spaces for more information.
Delete a value list item using its id, or its list_id and value fields.
Query Parameters
-
idstring · min: 1 Value list item's identifier. Required if
list_idandvalueare not specified.-
list_idstring · min: 1 Value list's identifier. Required if
idis not specified.-
valuestring The value used to evaluate exceptions. Required if
idis not specified.-
refresh· default: false Determines when changes made by the request are made visible to search.
-
Values:
truefalsewait_for
Responses
Successful response
ListItem
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
@timestampstring -
created_atstringrequired -
Autogenerated date of object creation.
-
created_bystringrequired -
Autogenerated value - user that created object.
-
idstring · min: 1required -
Value list item's identifier.
-
list_idstring · min: 1required -
Value list's identifier.
-
metaobject -
Placeholder for metadata about the value list item.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
updated_atstringrequired -
Autogenerated date of last object update.
-
updated_bystringrequired -
Autogenerated value - user that last updated object.
-
valuestring · min: 1required -
The value used to evaluate exceptions.
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
@timestampstring -
created_atstringrequired -
Autogenerated date of object creation.
-
created_bystringrequired -
Autogenerated value - user that created object.
-
idstring · min: 1required -
Value list item's identifier.
-
list_idstring · min: 1required -
Value list's identifier.
-
metaobject -
Placeholder for metadata about the value list item.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext -
updated_atstringrequired -
Autogenerated date of last object update.
-
updated_bystringrequired -
Autogenerated value - user that last updated object.
-
valuestring · min: 1required -
The value used to evaluate exceptions.
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
List item not found response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired